#include <amxmodx>
#include <amxmisc>
#include <speedspeed>
#include <fakemeta>

#define PLUGIN "SpeedSpeed Test"
#define VERSION "1.0"
#define AUTHOR "R3X"

new Float:fOffset[33];

public plugin_init() {
	register_plugin(PLUGIN, VERSION, AUTHOR);
	
	register_clcmd("say /000", "cmdSay000");
	register_clcmd("say /100", "cmdSay100");
	register_clcmd("say /150", "cmdSay150");
	
	register_forward(FM_PlayerPreThink, "fwPreThink", 1);
}
public client_putinserver(id){
	fOffset[id] = 0.0;
}
public cmdSay000(id){
	fOffset[id] = 000.0;
	update_user_speed(id);
}
public cmdSay100(id){
	fOffset[id] = 100.0;
	update_user_speed(id);
}
public cmdSay150(id){
	fOffset[id] = 150.0;
	update_user_speed(id);
}
public speed_update(id, wid){
	add_user_speed(id, fOffset[id]);
}

public fwPreThink(id){
	new Float:fVelo[3];
	pev(id, pev_velocity, fVelo);
	client_print(id, print_center, "Speed = %.1f", vector_length(fVelo));
}
